## python-certstream 1.12

=== requirements.txt ===
websocket-client>=0.58.0
termcolor

=== debian/changelog ===
python-certstream (1.12-2) unstable; urgency=medium

  * Source-only upload.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Jan 2025 21:46:44 +0100

python-certstream (1.12-1) unstable; urgency=medium

  * Initial release. (Closes: #1092260)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 06 Jan 2025 15:04:24 +0100

=== debian/control ===
Source: python-certstream
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Priority: optional
Standards-Version: 4.7.0
Section: python
Homepage: https://github.com/CaliDog/certstream-python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-termcolor,
 python3-websocket,
Vcs-Git: https://salsa.debian.org/python-team/packages/python-certstream.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-certstream
Rules-Requires-Root: no

Package: python3-certstream
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for talking to certstream servers
 Certstream-python is a library for interacting with the certstream
 network -- https://certstream.calidog.io/ -- to monitor an aggregated
 feed from a collection of Certificate Transparency Lists:
 https://www.certificate-transparency.org/known-logs
 .
 For a self-hosted server see "certstream-server-go" package.
 .
 This package contains the Python library and command-line tool "certstream".

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certstream

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

%:
	dh $@ --buildsystem=pybuild

PKGDIR := $(CURDIR)/debian/python3-certstream

execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	mkdir -pv $(PKGDIR)/usr/share/man/man1
	env PYTHONPATH=$(CURDIR) \
	    help2man --no-info --version-string="$(DEB_VERSION)" \
		-Idebian/certstream.h2m \
		-o $(PKGDIR)/usr/share/man/man1/certstream.1 \
		$(PKGDIR)/usr/bin/certstream
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/certstream/certstream-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
